<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: HTML output</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>HTML output<br/>
<small>
[<a class="el" href="group__internal_config.html">Configuration</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#ga14f7344590b9ea8bc75cf406e6b72e1d">CASClient::HTMLFilterOutput</a> ($str)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#ga729d029afcd908c73f4cd953fbb93ff6">CASClient::printHTMLHeader</a> ($title)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#gaf4185028c6d4054757164c8919e592aa">CASClient::printHTMLFooter</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#ga4b1b9ad5ad4201f028ec8d0e18b18c53">CASClient::setHTMLHeader</a> ($header)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#gabf7142cdd0ce86dc8f79b09777d705c7">CASClient::setHTMLFooter</a> ($footer)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#ga657b1ef45e433939dcd7b770a15afa30">CASClient::$_output_header</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#ga9d26cc162f6545be562a29957cb7a1d6">CASClient::$_output_footer</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga14f7344590b9ea8bc75cf406e6b72e1d"></a><!-- doxytag: member="CASClient::HTMLFilterOutput" ref="ga14f7344590b9ea8bc75cf406e6b72e1d" args="($str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::HTMLFilterOutput </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>str</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method filters a string by replacing special tokens by appropriate values and prints it. The corresponding tokens are taken into account:</p>
<ul>
<li>__CAS_VERSION__</li>
<li>__PHPCAS_VERSION__</li>
<li>__SERVER_BASE_URL__</li>
</ul>
<p>Used by CASClient::PrintHTMLHeader() and <a class="el" href="group__internal_output.html#gaf4185028c6d4054757164c8919e592aa">CASClient::printHTMLFooter()</a>.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$str</em>&nbsp;</td><td>the string to filter and output </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaf4185028c6d4054757164c8919e592aa"></a><!-- doxytag: member="CASClient::printHTMLFooter" ref="gaf4185028c6d4054757164c8919e592aa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::printHTMLFooter </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method prints the footer of the HTML output (after filtering). If <a class="el" href="group__internal_output.html#gabf7142cdd0ce86dc8f79b09777d705c7">CASClient::setHTMLFooter()</a> was not used, a default footer is output.</p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__internal_output.html#ga14f7344590b9ea8bc75cf406e6b72e1d">HTMLFilterOutput()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga729d029afcd908c73f4cd953fbb93ff6"></a><!-- doxytag: member="CASClient::printHTMLHeader" ref="ga729d029afcd908c73f4cd953fbb93ff6" args="($title)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::printHTMLHeader </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>title</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method prints the header of the HTML output (after filtering). If <a class="el" href="group__internal_output.html#ga4b1b9ad5ad4201f028ec8d0e18b18c53">CASClient::setHTMLHeader()</a> was not used, a default header is output.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$title</em>&nbsp;</td><td>the title of the page</td></tr>
  </table>
  </dd>
</dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__internal_output.html#ga14f7344590b9ea8bc75cf406e6b72e1d">HTMLFilterOutput()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gabf7142cdd0ce86dc8f79b09777d705c7"></a><!-- doxytag: member="CASClient::setHTMLFooter" ref="gabf7142cdd0ce86dc8f79b09777d705c7" args="($footer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setHTMLFooter </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>footer</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method set the HTML footer used for all outputs.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$footer</em>&nbsp;</td><td>the HTML footer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga4b1b9ad5ad4201f028ec8d0e18b18c53"></a><!-- doxytag: member="CASClient::setHTMLHeader" ref="ga4b1b9ad5ad4201f028ec8d0e18b18c53" args="($header)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setHTMLHeader </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>header</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method set the HTML header used for all outputs.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$header</em>&nbsp;</td><td>the HTML header. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="ga9d26cc162f6545be562a29957cb7a1d6"></a><!-- doxytag: member="CASClient::$_output_footer" ref="ga9d26cc162f6545be562a29957cb7a1d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_output_footer<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>A string used to print the footer of HTML pages. Written by <a class="el" href="group__internal_output.html#gabf7142cdd0ce86dc8f79b09777d705c7">CASClient::setHTMLFooter()</a>, read by <a class="el" href="group__internal_output.html#gaf4185028c6d4054757164c8919e592aa">printHTMLFooter()</a>.</p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__internal_output.html#gabf7142cdd0ce86dc8f79b09777d705c7">CASClient::setHTMLFooter</a>, <a class="el" href="group__internal_output.html#gaf4185028c6d4054757164c8919e592aa">CASClient::printHTMLFooter()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga657b1ef45e433939dcd7b770a15afa30"></a><!-- doxytag: member="CASClient::$_output_header" ref="ga657b1ef45e433939dcd7b770a15afa30" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_output_header<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>A string used to print the header of HTML pages. Written by <a class="el" href="group__internal_output.html#ga4b1b9ad5ad4201f028ec8d0e18b18c53">CASClient::setHTMLHeader()</a>, read by <a class="el" href="group__internal_output.html#ga729d029afcd908c73f4cd953fbb93ff6">CASClient::printHTMLHeader()</a>.</p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__internal_output.html#ga4b1b9ad5ad4201f028ec8d0e18b18c53">CASClient::setHTMLHeader</a>, <a class="el" href="group__internal_output.html#ga729d029afcd908c73f4cd953fbb93ff6">CASClient::printHTMLHeader()</a> </dd></dl>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
